<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="res_config_settings_view_form_inherit_theme_reservation" model="ir.ui.view">
        <field name="name">res.config.settings.view.form.inherit.theme.reservation</field>
        <field name="model">res.config.settings</field>
        <field name="inherit_id" ref="website.res_config_settings_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//form" position="inside">
                <app string="Theme Settings" name="dine360_theme_reservation" data-string="Theme Settings" data-key="dine360_theme_reservation">
                    <block title="Table Reservation Theme" id="theme_reservation_settings">
                        <setting string="Table Reservation Theme" help="Configure custom styling colors for the Table Reservation system" id="theme_reservation_settings_detail">
                            <field name="is_reservation_theme_active"/>
                            <div class="content-group" invisible="not is_reservation_theme_active">
                                <div class="row mt16">
                                    <label for="reservation_primary_color" class="col-lg-3 o_light_label"/>
                                    <field name="reservation_primary_color"/>
                                </div>
                                <div class="row mt8">
                                    <label for="reservation_secondary_color" class="col-lg-3 o_light_label"/>
                                    <field name="reservation_secondary_color"/>
                                </div>
                            </div>
                        </setting>
                    </block>
                </app>
            </xpath>
        </field>
    </record>
</odoo>
